CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS(3)

NAME
CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS -

SYNOPSIS

Detailed Description

External semaphore wait parameters

Field Documentation

  struct { ... } CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS::fence

Parameters for fence objects

  unsigned long long CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS::key

Value of key to acquire the mutex with

  struct { ... } CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS::keyedMutex

Parameters for keyed mutex objects

  union { ... } CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS::nvSciSync

Pointer to NvSciSyncFence. Valid if CUexternalSemaphoreHandleType is of type CU_EXTERNAL_SEMAPHORE_HANDLE_TYPE_NVSCISYNC.

  unsigned int CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS::timeoutMs

Timeout in milliseconds to wait to acquire the mutex

  unsigned long long CUDA_EXTERNAL_SEMAPHORE_WAIT_PARAMS::value

Value of fence to be waited on

Author

Generated automatically by Doxygen from the source code.